# GenericDocumentNormalizedType class

Field type

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: true, createToJson: true, explicitToJson: true)

## Constructors

GenericDocumentNormalizedType({required String? name, required String? fullName, required String? normalizedName})
GenericDocumentNormalizedType.fromJson(Map<String, dynamic> json)
  factory

## Properties

fullName ↔ String?
  Unique global document type name prefixed with the document types of all containing documents.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
name ↔ String?
  Local document type name.
  getter/setter pair
normalizedName ↔ String?
  Normalized global document type name. Common document types appearing as child documents in different places will often have the same normalized type name.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited